
    # Pop a previous -syllabic landmark if current landmark is manner-change
    #pop(@lms) if (@lms > 0 && $lms[$#lms][2] =~ /^\-syllabic/ &&
	#	  ($clm eq '-+continuant' || $clm eq '+-continuant' ||
		#  $slm eq '-+sonorant' || $slm eq '+-sonorant' ||
		 # $nlm eq '-syllabic') );


    # If speech value changes, create a speech-change landmark
    foreach $lmtype ('speech','sonorant','continuant','syllabic') {

    if($Slm eq '-+speech' || $Slm eq '+-speech') {
      foreach ($clm, $slm, $nlm) { $Slm .= ','.$_; };
      foreach (keys %lmfs) { $Slm .= ','.$lmfs{$_}.$_; };
      push(@newlms,[ $$segs[$t][0], $$segs[$t][0], $Slm, "$pp:$cp" ]);
    }

    # Else if continuant differs, create a continuant-change landmark
    elsif($clm eq '-+continuant' || $clm eq '+-continuant') {
      $clm .= ','.$slm.','.$nlm;
      foreach (keys %lmfs) { $clm .= ','.$lmfs{$_}.$_; };
      push(@newlms,[ $$segs[$t][0], $$segs[$t][0], $clm, "$pp:$cp" ]);
    }

    # If sonorant differs, create a sonorant-change landmark
    elsif($slm eq '-+sonorant' || $slm eq '+-sonorant') {
      $slm .= ','.$clm.','.$nlm;
      foreach (keys %lmfs) { $slm .= ','.$lmfs{$_}.$_; };
      push(@newlms,[ $$segs[$t][0], $$segs[$t][0], $slm, "$pp:$cp" ]);
    }
        
    # else if syllabic differs, create a syllabic-change landmark
    elsif($nlm eq '-+syllabic' || $nlm eq '+-syllabic') {
      $nlm .= ','.$clm.','.$slm;
      foreach (keys %lmfs) { $nlm .= ','.$lmfs{$_}.$_; };
      push(@newlms,[ $$segs[$t][0], $$segs[$t][0], $nlm, "$pp:$cp" ]);
    }
        
    # If segment is +syllabic, create +syllabic landmark
  #if($nlm eq '+syllabic') {
   #   foreach (keys %cdfs) { $nlm .= ','.$cdfs{$_}.$_; };
    #  $lmtime = 0.333*$$segs[$t][0] + 0.667*$$segs[$t][1];
     # push(@newlms,[ $lmtime, $lmtime, $nlm, $cp ]);
    #}

    # If segment is an intervocalic glide, 
    #   or a glide ending a silent region,
    #   create -syllabic landmark
    #if($clm eq '+continuant' && $slm eq '+sonorant' && $nlm eq '-syllabic') {
      # Previous segment was syllabic: lmtime is midpoint of segment
     # if(exists($pf{'syllabic'}) && $pf{'syllabic'} eq '+') {
#	  $lmtime = 0.5*$$segs[$t][0]+0.5*$$segs[$t][1];
	#  foreach (keys %cdfs) { $nlm .= ','.$cdfs{$_}.$_; };
	 # push(@newlms,[ $lmtime, $lmtime, $nlm, $cp ]);
	#}
      # Previous segment was a glide: merge the glides
      #elsif (exists($pf{'syllabic'}) && $pf{'syllabic'} ne '+') {
#	foreach (keys %lmfs) { $nlm .= ','.$lmfs{$_}.$_; };
#	push(@newlms,[ $$segs[$t][0], $$segs[$t][0], $nlm, "$pp:$cp" ]);
#      }
      # Previous segment was silence: lmtime is start of glide
 #     else {
#	foreach (keys %cdfs) { $nlm .= ','.$cdfs{$_}.$_; };
#	push(@newlms,[ $$segs[$t][0], $$segs[$t][0], $nlm, $cp ]);
#      }
    #}

